#precarga{
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0,0.4);
    background-image: url(../images/preloader.gif?v=2);
    background-size: 100px;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    z-index: 9999;
}

.select2-container .select2-dropdown {
  background-color: #f0f0f0;
}

.select2-container .select2-selection--single {
  border: 1px solid var(--ct-border-color);
  height: calc(1.5em + .9rem + 2px)!important;
  background-color: var(--ct-secondary-bg);
  outline: 0;
  border-radius: 0;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    color: #444;
    line-height: 36px;
}

.select2-container--default .select2-selection--single .select2-selection__clear {
    color: red;
}

.form-control{
  border-radius: 0;
}


::-webkit-scrollbar {
  width: 12px; 
  height: 12px; 
}

/* Estilizar la parte de la barra (la que se mueve) */
::-webkit-scrollbar-thumb {
  background-color: #61b427; 
  border-radius: 6px;
  border: 3px solid #f1f1f1;
}

/* Estilizar el fondo de la barra de desplazamiento */
::-webkit-scrollbar-track {
  background: #f1f1f1; 
  border-radius: 6px; 
}


::-webkit-scrollbar-thumb:hover {
  background-color: #61b427; 
}

/* Estilizar la barra de desplazamiento cuando se está en estado activo */
::-webkit-scrollbar-thumb:active {
  background-color: #61b427;
}


.invalid-feedback{
  color:red;
}


.imgperfil {
  object-fit: contain; 
  width: 100%; 
  height: 100%; 
  border-radius: 7px;
  box-shadow: 0 0 12px rgba(0,0,0,0.3);
  border: 3px solid #ffffff;
}


fieldset {
    border: 2px solid gainsboro; 
    padding: 15px; 
    margin: 10px 0; 
    margin-bottom: 25px;
    background: linear-gradient(to right, #f8f8f8, #eaeaea); 
}

legend {
    font-size: 1em;
    color: #3d3d3d;
    padding: 10px;
    border: 1px solid gainsboro;
    background-color: #ffffff;
}

.btn{
  border-radius: 0px!important;
}


.circleuser {
    width: 32px;
    height: 32px;
    color: white;
    font-size: 13px;
    font-weight: bold;
    text-align: center;
    line-height: 32px; 
    border-radius: 50%;
    display: inline-block;
}

.truncate-word {
  word-break: break-all;
  white-space: normal;
  max-width: 150px;
}